Package org.eclipse.emf.cdo.spi.common.revision

# Class ManagedRevisionProvider

java.lang.Object
org.eclipse.emf.cdo.spi.common.revision.ManagedRevisionProvider

All Implemented Interfaces:
  `CDORevisionProvider`

Direct Known Subclasses:
  `ManagedRevisionProvider.WithSynthetics`

public class ManagedRevisionProvider extends Object implements CDORevisionProvider
A revision provider backed by a `revision manager` that provides revisions which are `valid` at the configured `branch point`.

Since:
  4.0
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ManagedRevisionProvider.WithSynthetics`
A managed revision provider that can also provide `synthetic revisions`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final CDOBranchPoint`
`branchPoint`
`protected final InternalCDORevisionManager`
`revisionManager`

## Constructor Summary

Constructors
Constructor
Description
`ManagedRevisionProvider(CDORevisionManager revisionManager, CDOBranchPoint branchPoint)`

## Method Summary

Modifier and Type
Method
Description
`CDOBranchPoint`
`getBranchPoint()`
`CDORevision`
`getRevision(CDOID id)`
`CDORevisionManager`
`getRevisionManager()`
`static CDORevision`
`provideRevision(CDORevisionManager revisionManager, CDOID id, CDOBranchPoint branchPoint)`
`CDORevisionProviderWithSynthetics`
`withSynthetics()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### revisionManager

protected final InternalCDORevisionManager revisionManager

Since:
  4.15

### branchPoint

protected final CDOBranchPoint branchPoint

Since:
  4.15

## Constructor Details

### ManagedRevisionProvider

public ManagedRevisionProvider(CDORevisionManager revisionManager, CDOBranchPoint branchPoint)

## Method Details

### getRevisionManager

public CDORevisionManager getRevisionManager()

### getBranchPoint

public CDOBranchPoint getBranchPoint()

### getRevision

public CDORevision getRevision(CDOID id)

Specified by:
  `getRevision` in interface `CDORevisionProvider`

### provideRevision

public static CDORevision provideRevision(CDORevisionManager revisionManager, CDOID id, CDOBranchPoint branchPoint)

Since:
  4.22

### withSynthetics

public CDORevisionProviderWithSynthetics withSynthetics()

Since:
  4.15